Bug 170715 - dmesg complains that ipw2200 driver is "...using old /proc/net/wireless support, please fix driver !"
dmesg complains that ipw2200 driver is "...using old /proc/net/wireless suppo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-13 18:32 EDT by Dave Malcolm
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 16:17:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2005-10-13 18:32:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.11) Gecko/20050914 Epiphany/1.8.2

Description of problem:
Running rawhide on a shiny new HP Pavilion dv1000 laptop: 
- Centrino chipset

Installed are:
kernel-2.6.11-1.1369_FC4
kernel-2.6.13-1.1598_FC5
kernel-2.6.13-1.1600_FC5
wireless-tools-28-0.pre9.5

Have been yum updating daily to rawhide.  I had wireless working on October 8th, I believe that it was working with one of the older kernels and the corresponding wireless-tools package (I may have been using the wireless-tools from FC4 at that point); sorry about the vagueness.





Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1600_FC5 wireless-tools-28-0.pre9.5

How reproducible:
Always

Steps to Reproduce:
1.  Boot into kernel-2.6.13-1.1600_FC5 with wireless-tools-28-0.pre9.5 
2.  ifup eth1

  

Actual Results:  This line appears at the end of dmesg:
eth1 (WE) : Driver using old /proc/net/wireless support, please fix driver !


Expected Results:  eth1 should have come up, allowing me to file more bugs, faster. 

Additional info:

Looks similar to this:
https://www.redhat.com/archives/fedora-test-list/2005-September/msg00138.html
Comment 2 Dave Jones 2005-11-04 16:17:22 EST
the driver that got merged upstream is an earlier one than what was included in
fedora previously. This means you need the older firmware too. (Whatever one
matches 1.0.0 iirc)

The warning msg should be gone by now.

Note You need to log in before you can comment on or make changes to this bug.